checkUserAccess を使用、viewerId が必須)。curl --location 'https://bpi2.poyashi.me/users//rivals/suggestions?q=&p=&s=&o=&seed=' \
--header 'Authorization: Bearer <token>'{
"viewer": {
"userId": "string",
"totalBpi": 0,
"radar": {
"NOTES": {
"totalBpi": 0,
"songs": [
{
"title": "string",
"difficulty": "string",
"exScore": 0,
"notes": 0,
"bpi": 0
}
]
},
"CHORD": {
"totalBpi": 0,
"songs": [
{
"title": "string",
"difficulty": "string",
"exScore": 0,
"notes": 0,
"bpi": 0
}
]
},
"PEAK": {
"totalBpi": 0,
"songs": [
{
"title": "string",
"difficulty": "string",
"exScore": 0,
"notes": 0,
"bpi": 0
}
]
},
"CHARGE": {
"totalBpi": 0,
"songs": [
{
"title": "string",
"difficulty": "string",
"exScore": 0,
"notes": 0,
"bpi": 0
}
]
},
"SCRATCH": {
"totalBpi": 0,
"songs": [
{
"title": "string",
"difficulty": "string",
"exScore": 0,
"notes": 0,
"bpi": 0
}
]
},
"SOFLAN": {
"totalBpi": 0,
"songs": [
{
"title": "string",
"difficulty": "string",
"exScore": 0,
"notes": 0,
"bpi": 0
}
]
}
}
},
"users": [
{
"userId": "string",
"iidxId": "string",
"userName": "string",
"profileImage": "string",
"profileText": "string",
"arenaClass": "string",
"totalBpi": 0,
"updatedAt": "2019-08-24T14:15:22.123Z",
"role": {
"role": "string",
"description": "string",
"grantedAt": "2019-08-24T14:15:22.123Z"
},
"radar": {
"NOTES": 0,
"CHORD": 0,
"PEAK": 0,
"CHARGE": 0,
"SCRATCH": 0,
"SOFLAN": 0
}
}
]
}